Subject: Ticket Assigned - I will not get tired posting about my complaint & experience until I get my refund!! Don't buy from ...
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Sat, 04 Jul 2020 07:50:42 +0000

Hi Mohammad Tawfik Ali Naji Musaed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  I will not get tired posting about my complaint & experience until I get my refund!! Don't buy from ... I will not get tired posting about my complaint & experience until I get my refund!! Don't buy from them if you don't want headache. I've been chasing them about my refund coz they delivered the wrong item since May 10, 2020. I even returned the wrong item with them right away, but till now no refund they even ask my bank details 12x & every time I called either put me on hold, hang up the call or when I speak one of their customer service they keep saying its under process. Your service is very very very very poor!! I am so disappointed.

Order No. 7680917620
Complaint No. 966298 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/1277102